# 🚀 Setup Tailwind CSS in 20 seconds without node_modules

### Based on my [article](https://dev.to/tomaszbujnowicz/setup-tailwind-css-in-20-seconds-without-nodemodules-1b83)

Tired of running `npm install / yarn` and seeing tons of files installed in your node_modules just to process your Tailwind CSS file? I got you, have a look at this minimal approach.

---

### Requirements

Make sure all dependencies have been installed before moving on:

- [yarn](https://yarnpkg.com/lang/en/) or [npm](https://www.npmjs.com/get-npm)
- [Node.js](https://nodejs.org/en/download/)

### Quick start: Installation

Clone this repository and run

- `npm install -g postcss-cli autoprefixer cssnano` to install dependencies globally

### Tasks

| Task Name            | Description                                               |
| :------------------- | :-------------------------------------------------------- |
| `npm run tailwind`   | Basic usage: process your CSS (development)               |
| `npm run build`      | Process your CSS + Autoprefixer (development)             |
| `npm run production` | Process your CSS + Autoprefixer + Minify CSS (production) |

## Copyright and license

Copyright 2020 Tomasz Bujnowicz under the [MIT license](http://opensource.org/licenses/MIT).
